extends AnimatedSprite

signal needframe(x,y)
# Declare member variables here. Examples:
# var a = 2
# var b = "text"


# Called when the node enters the scene tree for the first time.
func _ready():
	
	emit_signal("needframe", (get_position().x-32)/64, (get_position().y-32)/64 )
	#self.frame = 

# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta):
	emit_signal("needframe", (get_position().x-32)/64, (get_position().y-32)/64 )
